Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui.graphvisualizer
Class GraphEdge

    java.lang.Object
      weka.gui.graphvisualizer.GraphEdge

    public class GraphEdge

extends java.lang.Object

This class represents an edge in the graph

Version:
  $Revision: 4995 $ - 23 Apr 2003 - Initial version (Ashraf M. Kibriya)
Author:
  Ashraf M. Kibriya (amk14@cs.waikato.ac.nz)

Field Summary
`int` | `dest` The index of target node in Nodes vector
`java.lang.String` | `destLbl` Label of target node
`int` | `src` The index of source node in Nodes vector
`java.lang.String` | `srcLbl` Label of source node
`int` | `type` The type of Edge

Constructor Summary
`GraphEdge(int s, int d, int t)`
`GraphEdge(int s, int d, int t, java.lang.String sLbl, java.lang.String dLbl)`

Method Summary
`boolean` | `equals(java.lang.Object e)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### src

    public int src

  The index of source node in Nodes vector

### dest

    public int dest

  The index of target node in Nodes vector

### type

    public int type

  The type of Edge

### srcLbl

    public java.lang.String srcLbl

  Label of source node

### destLbl

    public java.lang.String destLbl

  Label of target node

Constructor Detail

### GraphEdge

    public GraphEdge(int s,
                     int d,
                     int t)

### GraphEdge

    public GraphEdge(int s,
                     int d,
                     int t,
                     java.lang.String sLbl,
                     java.lang.String dLbl)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object e)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD